%define name	gobject-introspection
%define version	1.54.0


%define api		1.0
%define major		1
%define libname		%mklibname girepository %{api} %{major}
%define develname	%mklibname -d girepository

Summary:	GObject Introspection
Name:		%{name}
Version:	1.54.1
Release:	%mkrel 1
Source0:	%{name}-%{version}.tar.xz
Patch0:		gobject-introspection-1.45.3-remove-env-from-python-script-shebangs.patch
License:	GPLv2+ and LGPLv2+
Group:		System/Libraries
Url:		http://www.gnome.org
BuildRequires: %{_lib}ffi-devel
BuildRequires: %{_lib}glib2.0_0
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}python-devel
BuildRequires: flex
BuildRequires: bison
BuildRequires: gnome-common
BuildRequires: libtool
BuildRequires: multiarch-utils
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

#---------------------------------------------------------------
%if "%{_lib}" == "lib64"
%define mark64 ()(64bit)
%else
%define mark64 %nil
%endif


%description
The goal of the project is to describe the APIs and  collect them in
a uniform, machine readable format.

%package -n %{libname}
Group:		System/Libraries
Summary:	GObject Introspection shared library
Conflicts:	%{name} < 0.6.8-2
Requires:	%{name} >= %{version}

%description -n %{libname}
The goal of the project is to describe the APIs and  collect them in
a uniform, machine readable format.

#---------------------------------------------------------------
%package -n %{develname}
Group:          Development/Libraries
Summary:        GObject Introspection development libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       libgirepository-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Requires:       libtool


%description -n %{develname}
The goal of the project is to describe the APIs and  collect them in
a uniform, machine readable format.

#---------------------------------------------------------------
%prep
%setup -q
%apply_patches

%build
autoreconf -fiv
%configure2_5x --disable-static

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

ln -s g-ir-inspect %{buildroot}%{_bindir}/g-ir-dep-tool

%clean
rm -rf %{buildroot}

%files
%doc README TODO AUTHORS
%dir %{_libdir}/girepository-%{api}
%dir %{_libdir}/%{name}/
%{_libdir}/%{name}/giscanner/
%{_bindir}/g-ir-*
%{_datadir}/%{name}-%{api}/
%{_mandir}/man1/g-ir-*

%files -n %{libname}
%{_libdir}/libgirepository-%{api}.so.%{major}*
%{_libdir}/girepository-%{api}/*.typelib

%files -n %{develname}
%doc ChangeLog
%{_libdir}/libgirepository-%{api}.so
%{_libdir}/pkgconfig/gobject-introspection-%{api}.pc
%{_libdir}/pkgconfig/gobject-introspection-no-export-%{api}.pc
%{_includedir}/%{name}-%{api}
%{_datadir}/aclocal/*.m4
%dir %{_datadir}/gir-%{api}
%{_datadir}/gir-%{api}/*.gir
%{_datadir}/gir-%{api}/*.rnc

%changelog
* Mon Oct 02 2017 bb2 <bb2> - 1.54.1-1pclos2017
- new version

* Thu Sep 14 2017 bb2 <bb2> - 1.54.0-1pclos2017
- new version

* Sun May 07 2017 bb2 <bb2> - 1.52.1-1pclos2017
- new version

* Sat Jul 23 2016 bb <bb> - 1.46.0-2pclos2016
- rebuild new libffi

* Sun Sep 27 2015 bb <bb> - 1.46.0-1pclos2015
- update

* Wed Jan 28 2015 bb <bb> - 1.42.0-1pclos2015
- update


